package thyyxxk.webserver.service.externalhttp;

import com.alibaba.fastjson.JSONObject;
import com.dtflys.forest.annotation.*;

import java.util.Map;

public interface ThmzSystem {
    @Post("{url}/getMzChargeDetailForUnPaid")
    Map<String, Object> getMzChargeDetailForUnPaid(@Var("url") String url, @JSONBody JSONObject obj);

    @Post("{url}/unPaidToFullChargeDetail")
    Map<String, Object> unPaidToFullChargeDetail(@Var("url") String url, @JSONBody JSONObject obj);

    @Post("{url}/payChargeDetailFormDbzsf")
    Map<String, Object> payChargeDetailFormDbzsf(@Var("url") String url, @JSONBody JSONObject obj);

    @Get("{url}/getPatientIdByParentId?patientId={patientId}")
    Map<String, Object> getPatientIdByParentId(@Var("url") String url, @Var("patientId") String patientId);

    @Get("{url}/getParentIdByPatientId?patientId={patientId}")
    Map<String, Object> getParentIdByPatientId(@Var("url") String url, @Var("patientId") String patientId);
}
